Name:           pulseeffects
Version:        4.8.7
Release:        %mkrel 8
Summary:        Audio equalizer, filters and effects for PulseAudio applications
License:        GPLv3
Group:          Sound/Mixers
Url:            https://github.com/wwmm/easyeffects
Source0:        https://github.com/wwmm/easyeffects/archive/v%{version}/%{name}-%{version}.tar.gz
Patch1:         pulseeffects-boost1.85.patch
BuildRequires:  appstream-util
BuildRequires:  boost-devel
BuildRequires:  desktop-file-utils
BuildRequires:  itstool
BuildRequires:  libxml2-utils
BuildRequires:  meson
BuildRequires:  pkgconfig(fftw3)
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(gtkmm-3.0)
BuildRequires:  pkgconfig(glibmm-2.4) >= 2.56
BuildRequires:  pkgconfig(gstreamer-1.0) >= 1.12
BuildRequires:  pkgconfig(gstreamer-plugins-bad-1.0) >= 1.12
BuildRequires:  pkgconfig(libbs2b)
BuildRequires:  pkgconfig(libebur128)
BuildRequires:  pkgconfig(libpulse) >= 11.0
BuildRequires:  pkgconfig(lilv-0)
BuildRequires:  pkgconfig(samplerate)
BuildRequires:  pkgconfig(sigc++-2.0)
BuildRequires:  pkgconfig(sndfile)
BuildRequires:  pkgconfig(rnnoise)
BuildRequires:  zita-convolver-devel >= 3.1.0

Requires:       gstreamer1.0-ladspa >= 1.12
Requires:       gstreamer1.0-plugins-good >= 1.12
Requires:       ladspa-plugins-swh >= 0.4
Requires:       lv2-calf-plugins >= 0.90.0

Recommends:     mda-lv2
Recommends:     ladspa-zam-plugins
Recommends:     lv2-zam-plugins
Recommends:     rubberband
Recommends:     zam-plugins
Recommends:     lsp-plugins >= 1.2

%description
Limiters, compressor, reverberation, high-pass filter, low pass filter,
equalizer many more effects for PulseAudio applications.

%prep
%autosetup -p1 -n easyeffects-%{version}

%build
%meson
%meson_build

%install
%meson_install

desktop-file-install %{buildroot}%{_datadir}/applications/com.github.wwmm.%{name}.desktop \
    --add-category='X-Mageia-CrossDesktop' \
    --dir=%{buildroot}%{_datadir}/applications

%find_lang %{name} --with-gnome

%files -f %{name}.lang
%doc README.md
%license LICENSE.md
%{_bindir}/pulseeffects
%{_datadir}/applications/com.github.wwmm.pulseeffects.desktop
%{_datadir}/glib-2.0/schemas/com.github.wwmm.pulseeffects.*.xml
%{_iconsdir}/hicolor/*/apps/pulseeffects.*
%{_metainfodir}/com.github.wwmm.pulseeffects.appdata.xml
%{_datadir}/dbus-1/services/com.github.wwmm.pulseeffects.service
%{_libdir}/gstreamer-1.0/libgst*.so


%changelog
* Fri Sep 13 2024 wally <wally> 4.8.7-8.mga10
+ Revision: 2095512
- rebuild for boost 1.86.0

* Thu Jun 20 2024 wally <wally> 4.8.7-7.mga10
+ Revision: 2075738
- rebuild for boost 1.85.0

* Thu May 30 2024 daviddavid <daviddavid> 4.8.7-6.mga10
+ Revision: 2068679
- enable rnnoise support

* Fri Jan 12 2024 wally <wally> 4.8.7-5.mga10
+ Revision: 2030588
- rebuild for boost 1.84.0

* Wed Sep 27 2023 wally <wally> 4.8.7-4.mga10
+ Revision: 1991490
- rebuild for boost 1.83.0

* Sun Jan 29 2023 wally <wally> 4.8.7-3.mga9
+ Revision: 1936742
- don't own hicolor icon theme dirs

* Sat Dec 24 2022 wally <wally> 4.8.7-2.mga9
+ Revision: 1926523
- rebuild for boost 1.81.0

* Mon Aug 08 2022 barjac <barjac> 4.8.7-1.mga9
+ Revision: 1876296
- new version 4.8.7
- remove un-needed boost patch

* Mon Jul 04 2022 wally <wally> 4.8.6-2.mga9
+ Revision: 1867654
- rebuild for boost 1.79.0

* Mon Apr 11 2022 barjac <barjac> 4.8.6-1.mga9
+ Revision: 1848908
- new version 4.8.6
- update url as sources are in easyeffects github repo
- recommend lsp-plugins >= 1.2 for aarch64 also

* Wed Apr 06 2022 umeabot <umeabot> 4.8.3-7.mga9
+ Revision: 1845976
- Mageia 9 Mass Rebuild

* Sun Dec 19 2021 wally <wally> 4.8.3-6.mga9
+ Revision: 1762675
- rebuild for boost 1.78.0

* Thu Sep 09 2021 wally <wally> 4.8.3-5.mga9
+ Revision: 1744655
- rebuild for boost 1.77.0

* Fri May 14 2021 wally <wally> 4.8.3-4.mga9
+ Revision: 1723010
- rebuild for boost 1.76.0

* Thu Dec 31 2020 wally <wally> 4.8.3-3.mga8
+ Revision: 1666808
- rebuild for boost 1.75.0

* Sun Dec 20 2020 wally <wally> 4.8.3-2.mga8
+ Revision: 1662050
- rebuild for boost 1.74.0

* Wed Dec 09 2020 barjac <barjac> 4.8.3-1.mga8
+ Revision: 1654994
- new version 4.8.3

* Mon Sep 21 2020 barjac <barjac> 4.8.2-1.mga8
+ Revision: 1629390
- new version 4.8.2

* Sat Sep 19 2020 barjac <barjac> 4.8.1-1.mga8
+ Revision: 1628789
- new version 4.8.1

* Mon Aug 17 2020 barjac <barjac> 4.8.0-1.mga8
+ Revision: 1614650
- new version 4.8.0

* Tue Jun 30 2020 barjac <barjac> 4.7.3-1.mga8
+ Revision: 1600796
- new version 4.7.3

* Sun May 03 2020 wally <wally> 4.7.2-2.mga8
+ Revision: 1578103
- rebuild for boost 1.73.0

* Mon Mar 23 2020 barjac <barjac> 4.7.2-1.mga8
+ Revision: 1559156
- new version 4.7.2

* Mon Mar 09 2020 daviddavid <daviddavid> 4.7.1-3.mga8
+ Revision: 1555002
- rebuild for zita-convolver 4.0.3

* Thu Feb 20 2020 umeabot <umeabot> 4.7.1-2.mga8
+ Revision: 1545827
- Mageia 8 Mass Rebuild

* Wed Jan 29 2020 barjac <barjac> 4.7.1-1.mga8
+ Revision: 1485238
- new version 4.7.1

* Sun Jan 26 2020 wally <wally> 4.7.0-2.mga8
+ Revision: 1483422
- rebuild for boost 1.72.0

* Fri Jan 10 2020 barjac <barjac> 4.7.0-1.mga8
+ Revision: 1477524
- new version 4.7.0

* Tue Nov 12 2019 barjac <barjac> 4.6.8-1.mga8
+ Revision: 1459338
- new version 4.6.8

* Thu Apr 18 2019 umeabot <umeabot> 4.5.9-2.mga7
+ Revision: 1392901
- Rebuild with meson 0.50.1

* Wed Apr 17 2019 barjac <barjac> 4.5.9-1.mga7
+ Revision: 1391827
- new verson 4.5.9

* Mon Mar 25 2019 barjac <barjac> 4.5.8-1.mga7
+ Revision: 1380195
- new version 4.5.8

* Wed Mar 13 2019 barjac <barjac> 4.5.6-1.mga7
+ Revision: 1375875
- new version 4.5.6

* Thu Mar 07 2019 barjac <barjac> 4.5.5-1.mga7
+ Revision: 1372188
- new version 4.5.5

* Mon Mar 04 2019 barjac <barjac> 4.5.4-1.mga7
+ Revision: 1371493
- new version 4.5.4
- added new help files translations to files list with wildcard

* Mon Feb 18 2019 barjac <barjac> 4.5.0-1.mga7
+ Revision: 1368303
- new version 4.5.0

* Sat Feb 09 2019 barjac <barjac> 4.4.7-4.mga7
+ Revision: 1364469
- new BuildRequires samplerate, zita-convolver
- new Recommends zam-plugins, mda-lv2, rubberband, lsp-plugins (except aarch64)
- drop Require on linuxsampler
- the above changes add many more working sound effects

* Tue Feb 05 2019 daviddavid <daviddavid> 4.4.7-3.mga7
+ Revision: 1363381
- linuxsampler is not available on aarch64

* Thu Jan 31 2019 barjac <barjac> 4.4.7-2.mga7
+ Revision: 1362012
- new require linuxsampler

* Thu Jan 24 2019 barjac <barjac> 4.4.7-1.mga7
+ Revision: 1360537
- new version 4.4.7

* Sat Jan 12 2019 barjac <barjac> 4.4.6-1.mga7
+ Revision: 1355780
- new version 4.4.6

* Wed Jan 09 2019 barjac <barjac> 4.4.5-1.mga7
+ Revision: 1352955
- new version 4.4.5
- added new BRs
- fixed .desktop name that failed validate
- updated files list

* Tue Oct 16 2018 wally <wally> 4.1.8-3.mga7
+ Revision: 1321085
- rebuild for new boost 1.68.0

* Sun Sep 23 2018 umeabot <umeabot> 4.1.8-2.mga7
+ Revision: 1300405
- Mageia 7 Mass Rebuild

* Mon Jul 16 2018 barjac <barjac> 4.1.8-1.mga7
+ Revision: 1243894
- new version 4.1.8
- new BR pkgconfig(sndfile)

* Mon Jul 09 2018 barjac <barjac> 4.1.3-1.mga7
+ Revision: 1242701
- new version 4.1.3

* Tue Jun 19 2018 barjac <barjac> 4.0.7-1.mga7
+ Revision: 1238226
- new version 4.0.7

* Sun Jun 10 2018 barjac <barjac> 4.0.2-2.mga7
+ Revision: 1235843
- Require lv2-calf-plugins or most effects will not work

* Sun Jun 10 2018 barjac <barjac> 4.0.2-1.mga7
+ Revision: 1235814
- new version 4.0.2

* Sat Jun 09 2018 barjac <barjac> 4.0.1-1.mga7
+ Revision: 1235712
- new version 4.0.1
- drop all python deps
- no longer noarch
- many new BRs
- fix files lists
- uname no longer required as upper case names removed upstream

* Wed May 02 2018 barjac <barjac> 3.2.3-1.mga7
+ Revision: 1224975
- new version 3.2.3

* Fri Mar 30 2018 barjac <barjac> 3.2.1-1.mga7
+ Revision: 1213563
- new version 3.2.1

* Mon Mar 26 2018 daviddavid <daviddavid> 3.2.0-2.mga7
+ Revision: 1212584
- fix BR for pkgconfig(gstreamer-plugins-bad-1.0)

* Tue Feb 20 2018 barjac <barjac> 3.2.0-1.mga7
+ Revision: 1203420
- new version 3.2.0

* Mon Jan 29 2018 barjac <barjac> 3.1.7-1.mga7
+ Revision: 1198065
- new version 3.1.7
- fix files list

* Mon Jan 01 2018 barjac <barjac> 3.1.6-1.mga7
+ Revision: 1188887
- new version 3.1.6

* Sat Dec 30 2017 barjac <barjac> 3.1.5-1.mga7
+ Revision: 1187994
- new version 3.1.5

* Thu Nov 30 2017 barjac <barjac> 3.0.8-2.mga7
+ Revision: 1180537
- Rename desktop file
- make cross-desktop so not in more..

* Thu Nov 23 2017 barjac <barjac> 3.0.8-1.mga7
+ Revision: 1179027
- new package pulseeffects

